!**********************************************************************
! Copyright 1998-2015                                                 *
! Andreas Stohl, Petra Seibert, A. Frank, Gerhard Wotawa,             *
! Caroline Forster, Sabine Eckhardt, John Burkhart, Harald Sodemann   *
!                                                                     *
! This file is part of FLEXPART.                                      *
!                                                                     *
! FLEXPART is free software: you can redistribute it and/or modify    *
! it under the terms of the GNU General Public License as published by*
! the Free Software Foundation, either version 3 of the License, or   *
! (at your option) any later version.                                 *
!                                                                     *
! FLEXPART is distributed in the hope that it will be useful,         *
! but WITHOUT ANY WARRANTY; without even the implied warranty of      *
! MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the       *
! GNU General Public License for more details.                        *
!                                                                     *
! You should have received a copy of the GNU General Public License   *
! along with FLEXPART.  If not, see <http://www.gnu.org/licenses/>.   *
!**********************************************************************

  subroutine verboutput (iverbosity, iverbositymin, infostring)
  
  !**********************************************************************
  !                                                                     *
  !             SUBROUTINE VERBOUTPUT                                   *
  !                                                                     *
  !**********************************************************************
  !                                                                     *
  !             AUTHOR:      PETRA sEIBERT                              *
  !             DATE:        2015-03-07                                 *
  !             LAST UPDATE: 2000-10-17, Andreas Stohl                  *
  !                                                                     *
  !**********************************************************************
  !  Changes:
  !
  !**********************************************************************
  !                                                                     *
  ! DESCRIPTION:                                                        *
  !                                                                     *
  ! write debugging information to standard output
  ! depending on the verbosity level
  !
  !**********************************************************************

  implicit none
  
  integer :: iverbosity ! verbosity level of the current run
  integer :: iverbositymin ! min. verbosity level required to produce output
  character(*) :: infostring
  
  if (iverbosity .ge. iverbositymin) print*, '>'//infostring
  
  end subroutine verboutput
  
